Forums

OverviewFelgo 2 Support (Qt 5) › error compiling after new update 2.13.2

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #17306

    Bas

    hi,

     

    when i try to compile with the new update, i get an error:

    /main.cpp:1: error: ‘QApplication’ file not found
    #include <QApplication>
    ^

    when creating new emty project, i also get the same error.

     

    do i need to remove older versions?

    i have 5.9.0 and 5.8.0 installed as well

     

    the problem ocurred on 2 different mac’s and 1 pc running windows 10

    #17308

    Bas

    after re installing v-play completely i got it working again.

    but Desktop QT 5.9.2 clang 64bit is not working!

    #17309

    Marcin
    #17310

    Bas

    hi Marcin,

    exactly, only 1 works from v-play.

     

    #17311

    Bas

    hi Marcin,

    it was not the issue described in the link.

    because i had it also on a windows machine

     

    #17312

    Marcin

    Hi Bas,
    That’s what I thought, that you already checked it long ago.
    This is some black magic for me then 🙂

    #17318

    Marcin

    So got similar issues you had and  total re-install helped to degree.
    Will create a new bug topic for that because it’s a different issue.
    At least my desktop build works using Felgo Desktop (Qt 5.9.2 GCC) kit

    #17323

    GĂĽnther
    Felgo Team

    Hi Bas,

    sorry for your troubles after the new update!

    Re-installing is a good solution when it comes to issues after updates with bigger Kit Changes. Unfortunately the Qt MaintenanceTool has troubles to resolve dependencies correctly sometimes, which is why the installation can get messed up (with e.g. missing/wrong modules).

    Regarding the two Desktop Kits: Only the Desktop Kit provided by Felgo comes with the Felgo Library, so the other Desktop Kit is simply like an additional standard Qt Desktop Kit.

    Are there any other issues that are not solved after a fresh install?

    If you have issues for Android with the gradle-wrapper version setting, please see the reply to:
    Can’t deploy Android app to device after 2.13.2

    Best,
    GĂĽnther

Viewing 8 posts - 1 through 8 (of 8 total)

RSS feed for this thread

You must be logged in to reply to this topic.

Voted #1 for:

  • Easiest to learn
  • Most time saving
  • Best support

Develop Cross-Platform Apps and Games 50% Faster!

  • Voted the best supported, most time-saving and easiest to learn cross-platform development tool
  • Based on the Qt framework, with native performance and appearance on all platforms including iOS and Android
  • Offers a variety of plugins to monetize, analyze and engage users
FREE!
create apps
create games
cross platform
native performance
3rd party services
game network
multiplayer
level editor
easiest to learn
biggest time saving
best support